using System;
using System.Windows.Forms;

namespace _7_25
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static int Log(int n)
        {
            if (n > 1)
                return Log(n / 2) + 1;
            else
                return 0;
        }


        private void button1_Click(object sender, EventArgs e)
        {
            int n = Convert.ToInt32(textBox1.Text);
            
            MessageBox.Show(Log(n).ToString());
        }
    }
}